/*~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* baa-style-mnt.css MAINTENANCE */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* Use for maintenance forms in admin dir  */ 
/* 2020-0213: Added Query Criteria Section */
/* 2024-0111: Modify a lot */

/*~~~~~~~~~*/
/* General */ 
/* Body default font-size is 16px */
/*~~~~~~~~~*/
* { margin:0; padding:0;}
html, body { height:100%;}
html { min-width:990px;}
body {
  box-sizing:border-box; 
  font-family:Tahoma, Geneva, sans-serif;
  font-size: 16px;
  line-height:1em; 
  color:black;
  background-color:aliceblue;
}
/*~~~~~~~*/
/* links */
/*~~~~~~~*/
a {color:blue; outline:none;}
a:hover {text-decoration:none;}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~ Whole Page Section  ~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerWholeMnt {
  width:100%;
  margin:auto;
  background-color:aliceblue;
  padding-top:20px;
}
.containerMnt {
  width:990px;
  margin:auto;
  background-color:lightsteelblue;
  padding-top:25px;
  padding-bottom:25px;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~ Header Section ~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerHeaderMnt {
  width:990px;
  margin:auto;
  padding-top:30px;
  padding-bottom:30px;
  background-color:lightgoldenrodyellow;
}
/*
  border: 3px solid navy;
  box-shadow: 5px 5px 3px grey;
  font-variant: small-caps;
  text-shadow: 4px 3px 5px #999;
*/
.orgNameMnt  {
  font-family: "Impact", "Zapfino", "Helvetica", "sans-serif";
  font-size: 2.2em;
  font-weight: bold;
  font-style: italic;
  text-align: center;
  letter-spacing: 8px;
  color: navy; 
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~ Menu Section ~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*
  background-color:dodgerblue;
*/
.containerWholeMenu {
  margin:auto;
  width:990px;
  background-color:aliceblue;
  padding-top:10px;
  padding-bottom:10px;
}
.containerMenuMnt {
  margin:auto;
  width:80%;
  max-width:990px;
  background-color:lightskyblue;
  padding-top:10px;
  padding-bottom:5px;
}
.menuMnt {
  margin:auto;
  font-size: 1.4em;
  font-family: "Lucida Sans Unicode", "Arial", "Trebuchet MS", "sans-serif";
  text-align:center;
  color: #000;
}
.menuGrey {
  color: grey;
}
.divTableMenuMnt {
  margin:auto;
  width:100%;
  display: table;
}
.divTableBody {
  display: table-row-group;
}
.divTableRow {
  display: table-row;
}
.divTableCellMenuMnt {
  margin:auto;
  display: table-cell;
  vertical-align:bottom;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~ Heading or Title of the page  ~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerHdgMnt {
  margin:auto;
  width:990px;
  background-color:cornflowerblue;
  box-sizing:border-box; 
  padding:20px 20px 10px 20px;
}
.paraHdgMnt {
  font-family: "Helvetica", "sans-serif";
  font-size: 1.5em;
  font-weight: bold;
  text-align: left;
  letter-spacing: 3px;
  color:gold;
}
.containerSubHdg {
  margin:auto;
  width:100%;
  padding-bottom: 20px;
}
.paraSubHdg {
  margin:auto;
  font-size:1.4em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  font-weight: bold;
  color:MidnightBlue;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~ Query criteria ~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*
  border: 1px solid black; 
  border: 1px solid red; 
*/
.containerWholeQuery {
  width:990px;
  margin:auto;
  box-sizing:border-box; 
  background-color:aliceblue;
  padding-top:20px;
  padding-bottom:20px;
}
.containerQuery {
  width:100%;
  margin:auto;
  box-sizing:border-box; 
  background-color:powderblue;
  padding:10px;
}
.lblQuery {
  font-family: "Verdana", "Arial", "Helvetica", "sans-serif";
  font-size: 1em;
  color: #000; 
  padding-right:1px;
}
.spcBfr {
  padding-left:20px;
}
.spcAftr {
  padding-right:20px;
}
.inpQuery {
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 1em;
  color: #000; 
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* container Data: form submit button container */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* 
  padding-left:120px;
  border:1px solid red;
*/
.containerQuerySubmit {
  margin:auto;
  overflow:hidden;
  padding-top:5px;
  padding-bottom:5px;
}
.buttonQuery {
  font-size:1em;
  font-family: "Helvetica", "Arial", "sans-serif";
  padding:5px;
  border-radius: 12px;
  background-color:springgreen;
  box-shadow: 5px 5px 3px grey;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~ Message Section ~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*
  border: 1px solid red;
*/
.containerWholeMessage {
  width:990px;
  margin:auto;
  background-color:aliceblue;
  padding-top:5px;
  padding-bottom:5px;
  height:40px;
  overflow-y:scroll;
}
.containerMessage {
  width:100%;
  margin:auto;
  background-color:mintcream;
}
.paraMessage {
  color:black;
  font-size:1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align:left;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~*/
/* Query Criteria Section */
/*~~~~~~~~~~~~~~~~~~~~~~~~*/
/*
  border: 1px solid red;
*/
.containerWholeQuery {
  width:990px;
  margin:auto;
  background-color:aliceblue;
  padding-top:5px;
  padding-bottom:5px;
}
.containerQuery {
  width:100%;
  margin:auto;
  background-color:powderblue;
  padding-top:px;
  padding-bottom:1px;
}
.paraQuery {
  color:black;
  font-size:1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align:left;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~ Data Displayed Section ~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerWholeData {
  width:990px;
  margin:auto;
  background-color:aliceblue;
  padding-top:15px;
  padding-bottom:15px;
}
/*~~~~~~~~*/
/* containerData is used for all tables without images such as baa_item */
/*~~~~~~~~*/
.containerData {
  width: 100%;
  margin:auto;
  background-color: #f6f3f3;
}
/*~~~~~~~~*/
/* containerRecord for each row in containerData 
/*~~~~~~~~*/
.containerRecord {
  width: 100%;
  margin:auto;
  background-color:lightgrey;
}
/*~~~~~~~~*/
/* containTxt is used for forms with images such as baa_item */
/*~~~~~~~~*/
/*
  background-color:lightsteelblue;
*/
.containerTxt {
  width:750px;
  min-height:300px;
  margin:auto;
  float: left;
  background-color:lightgrey;
}
.iframeSz {
  width:990px;
  height:50px;
  overflow:scroll;
  white-space: pre-wrap;
}
.lgndData {
  color:indigo;
  font-size:1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align:left;
  padding-left:120px;
}
.lblData {
  font-family: "Verdana", "Arial", "Helvetica", "sans-serif";
  font-size: 0.8em;
  color: indigo; 
  padding-right:1px;
}
.fldsetData {
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 1em;
  color: #000; 
  background-color:grey;
}
.inpData {
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 0.9em;
  color: #000; 
  background-color:palegreen;
}
/* List of the maintaining menu on the mnt home page */ 
.lstData {
  color:MidnightBlue;
  font-size:1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align:left;
  padding-left:80px;
  line-height:1.5em; 
}
lstData.li {
  list-style-position:inside; 
  text-indent:-1em; 
  padding-left:10px; 
  padding-bottom:14px; 
  color:MidnightBlue;
}
/* style for paragraph in the data div */
/* line-height 1.5 means 1 and half line space; 2 means double line space */
.paraData {
  color:MidnightBlue;
  font-size:1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align:left;
}
.paraMenu {
  color:MidnightBlue;
  font-size: 0.8em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
}
/* 2020-0609: Added */ 
/*
  width:10px;
*/
/* style for select option in the data div */ 
.paraSelOp {
  font-family: "Arial", "Helvetica", "sans-serif";
  font-size: 1em;
  color: #000; 
  background-color:palegreen;
  width:100px;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* container Data: form submit button container */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerFormSubmit {
  width:100%;
  margin:auto;
  overflow:hidden;
/*
  padding-top:5px;
  padding-bottom:5px;
  padding-left:120px;
  background-color:silver;
border:1px solid green;
*/
}
.bttnSubmit {
  font-size:1em;
  font-family: "Helvetica", "Arial", "sans-serif";
  color:gold;
  border-radius: 12px; background-color:indigo;
  float: right;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~  Photo Section ~~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*
  background-color:lightsteelblue;
*/
.containerWholePhoto {
  width:240px;
  height:300px;
  margin:auto;
  background-color:lightgrey;
  float: right;
}
.containerPhoto {
  width:230px;
  margin:auto;
  background-color:lightgrey;
  padding-top:1px;
  padding-bottom:1px;
}
.tnMnt {
  margin:auto;
  display:block;
  box-shadow: 3px 6px 4px var(--greylighter); 
  padding:5px 0 0 0;
  width:180px;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~  GoTo Section ~~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* divGoTo is a div below dvnWhole */
/* 2022-1109: Old name was divBackToTop.  Since want to use it for Go to Bottom too, renamed to paraGoTo;  */
/* border:solid 1px red; */
/* 2023-0713: link works only when it is tied to a division */
.containerGoTo {
  width: 100%;
  margin: auto;
  display: block;
  padding: 15px;
}
.linkGoTo {
  display: inline;
  margin:auto;
  font-family: "Snell Roundhand", "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:1.2em;
  color: green;
}
.paraGoTo {
  width: 100%;
  margin:auto;
  font-size:1.2em;
  font-family:"Rockwell","Helvetica", "Trebuchet MS", "sans-serif";
  color: MidnightBlue;
  text-align: right;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~  Mssg Section ~~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerMssg {
  width: 100%;
  height: 2em;
  margin: auto;
  background-color:lightgrey;
  padding-top:1px;
  padding-bottom:1px;
  overflow: scroll;
}
.paraMssg {
  color: 000;
  font-size: 1em;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  text-align: left;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~ Footer Section ~~~~~~~~~~~~~~~*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerWholeFooterMnt {
  width:990px;
  margin:auto;
  padding-top:10px;
  padding-bottom:10px;
  background-color:aliceblue;
}
.containerFooterMnt {
  width:990px;
  height:50px;
  margin:auto;
  background-color:lightyellow;
  padding-top:10px;
  padding-bottom:10px;
}
.containerFooterLftMnt {
  float:left;
  font-family: "Zapfino", "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.8em;
  color:navy;
  padding-top:20px;
  padding-bottom:20px;
  padding-left:100px;
}
.containerFooterRghtMnt {
  float:right;
  font-family: "Zapfino", "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.6em;
  color:navy;
  padding-top:20px;
  padding-bottom:20px;
  padding-right:100px;
}
/*~~~~~~~~~~~ text area  ~~~~~~~~~~~~~~~*/
input, select, textarea { font-family:Tahoma, Geneva, sans-serif; font-size:1em;}
input, select { vertical-align:middle; font-weight:normal;}
img {border:0; vertical-align:top; text-align:left;}
object { vertical-align:top;}
/*~~~~~~~~~~~~~~~~~ FORMS ~~~~~~~~~~~~~~~~~~~~~~~~~*/
form input.error, textarea.error, select.error {
  border: 2px solid #800517;
}
.error {
  color: #800517;
  font-weight: thick;
}
.buttonMnt {
  font-size:1em;
}
.spcBoth {
  font-family: "Verdana", "Arial", "Helvetica", "sans-serif";
  font-size: 0.9em;
  color: #000; 
  padding-left:5px;
  padding-right:5px;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/*~~~~~~~~ End of baa-style-mnt.css ~~~~~~~~~*/ 
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

